Subject: bug#22075: 24.5; [EWW] eww handle link anchor not correctly

From: "刘李进" <[email-masked]>
Date: Tue, 29 Dec 2015 08:53:51 +0800

Yes, if eww goes to `string.sub...` it has already been fixed.

Thanks.

------------------
“We are what we repeatedly do. Excellence, therefore, is not an act, but a habit.”

– Aristotle

------------------ Original ------------------
From:  "Lars Ingebrigtsen"<[email-masked]>;
Date:  Fri, Dec 25, 2015 01:25 PM
To:  "刘李进"<[email-masked]>; 
Cc:  "22075"<[email-masked]>; 
Subject:  Re: bug#22075: 24.5; [EWW] eww handle link anchor not correctly

刘李进 <[email-masked]> writes:

> I found that the eww seems handle link anchor not correctly. Reproduce
> step:
>
> 1. download the html file in attachment (comes from dash lua5.1 docset).
> 2. eww open the link: file:///path-to/file#//apple_ref/func/string%2Esub
> 3. eww cannot navigate to the correct position.
> 4. open the same link in chrome/safari, works fine.

I'm unable to reproduce this with the current Emacs trunk.

If I put the file in /tmp/lua.html, and say

file:///tmp/lua.html#//apple_ref/func/string%2Esub

eww puts me on the

 string.sub (s, i [, j])

line.  Has this been fixed in the meantime?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no